--- testing/eig/derrgg.f	Thu Dec  5 19:45:14 2002
+++ debian/updates/testing/eig/derrgg.f	Wed Dec  4 15:23:42 2002
@@ -3,7 +3,7 @@
 *  -- LAPACK test routine (version 3.0) --
 *     Univ. of Tennessee, Univ. of California Berkeley, NAG Ltd.,
 *     Courant Institute, Argonne National Lab, and Rice University
-*     June 30, 1999
+*     October 9, 2000
 *
 *     .. Scalar Arguments ..
       CHARACTER*3        PATH
@@ -244,24 +244,24 @@
      $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 10
-         CALL DGGSVD( 'N', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 0, B,
+         CALL DGGSVD( 'N', 'N', 'N', 2, 1, 1, DUMMYK, DUMMYL, A, 1, B,
      $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 12
-         CALL DGGSVD( 'N', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                0, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
+         CALL DGGSVD( 'N', 'N', 'N', 1, 1, 2, DUMMYK, DUMMYL, A, 1, B,
+     $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 16
-         CALL DGGSVD( 'U', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 0, V, 1, Q, 1, W, IW, INFO )
+         CALL DGGSVD( 'U', 'N', 'N', 2, 2, 2, DUMMYK, DUMMYL, A, 2, B,
+     $                2, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 18
-         CALL DGGSVD( 'N', 'V', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 1, V, 0, Q, 1, W, IW, INFO )
+         CALL DGGSVD( 'N', 'V', 'N', 1, 1, 2, DUMMYK, DUMMYL, A, 1, B,
+     $                2, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 20
-         CALL DGGSVD( 'N', 'N', 'Q', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 1, V, 1, Q, 0, W, IW, INFO )
+         CALL DGGSVD( 'N', 'N', 'Q', 1, 2, 1, DUMMYK, DUMMYL, A, 1, B,
+     $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'DGGSVD', INFOT, NOUT, LERR, OK )
          NT = NT + 11
 *
@@ -299,28 +299,28 @@
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 8
-         CALL DGGSVP( 'N', 'N', 'N', 0, 0, 0, A, 0, B, 1, TOLA, TOLB,
+         CALL DGGSVP( 'N', 'N', 'N', 2, 1, 1, A, 1, B, 1, TOLA, TOLB,
      $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 10
-         CALL DGGSVP( 'N', 'N', 'N', 0, 0, 0, A, 1, B, 0, TOLA, TOLB,
+         CALL DGGSVP( 'N', 'N', 'N', 1, 2, 1, A, 1, B, 1, TOLA, TOLB,
      $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 16
-         CALL DGGSVP( 'U', 'N', 'N', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 0, V, 1, Q, 1, IW, TAU, W,
+         CALL DGGSVP( 'U', 'N', 'N', 2, 2, 2, A, 2, B, 2, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 18
-         CALL DGGSVP( 'N', 'V', 'N', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 1, V, 0, Q, 1, IW, TAU, W,
+         CALL DGGSVP( 'N', 'V', 'N', 1, 2, 1, A, 1, B, 2, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 20
-         CALL DGGSVP( 'N', 'N', 'Q', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 0, IW, TAU, W,
+         CALL DGGSVP( 'N', 'N', 'Q', 1, 1, 2, A, 1, B, 1, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'DGGSVP', INFOT, NOUT, LERR, OK )
          NT = NT + 11
@@ -501,11 +501,11 @@
          CALL CHKXER( 'DGGRQF', INFOT, NOUT, LERR, OK )
          NT = NT + 6
 *
-*     Test error exits for the DGS, DGV, DGX, and DXV paths.
+*     Test error exits for the SGS, SGV, SGX, and SXV paths.
 *
-      ELSE IF( LSAMEN( 3, PATH, 'DGS' ) .OR.
-     $         LSAMEN( 3, PATH, 'DGV' ) .OR.
-     $         LSAMEN( 3, PATH, 'DGX' ) .OR. LSAMEN( 3, PATH, 'DXV' ) )
+      ELSE IF( LSAMEN( 3, PATH, 'SGS' ) .OR.
+     $         LSAMEN( 3, PATH, 'SGV' ) .OR.
+     $         LSAMEN( 3, PATH, 'SGX' ) .OR. LSAMEN( 3, PATH, 'SXV' ) )
      $          THEN
 *
 *        DGGES
